
ChiliProject - Feature # 112: Provide a library function to detect the database type used

Status: Closed Priority: Normal
Author: Holger Just Category:
Created: 2011-01-29 Assignee: Holger Just
Updated: 2011-05-19 Due date:
Remote issue URL:
Affected version:
Description: @ActiveRecord::Base.connection.adapter_name@ works not fully reliable for multiple adapter variants used 

in the wild. One example is the difference between @MySQL@ for the mysql adapter and @mysql2@ for the 
mysql2 adapter.

For the rare cases where it is necessary to distinguish database types for specific SQL code, detection should 
be done reliable and in a single place to update it when necessary.

Associated revisions
2011-05-15 11:14 pm - Holger Just 
[#112] Add ChiliProject::Database

This module can be used to gather information about the currently used
database.

2011-05-15 11:15 pm - Holger Just 
[#112] Adapt database switches to use ChiliProject::Database

2011-05-16 12:01 am - Holger Just 
[#112] Fix failing raw version for postgres

2011-05-19 11:28 pm - Felix SchÃ¤fer 
Merge pull request #57 from meineerde/issues/unstable/112-database-detection-library

Database detection library. #112

2011-05-20 04:10 pm - Felix SchÃ¤fer 
Load the SQLite3 lib for the test to work. #112

2011-05-20 11:34 pm - Holger Just 
[#112] Properly stub SQLite3 for version tests

2011-05-22 07:46 pm - Holger Just 
[#112] Fix tests for jruby

History
2011-02-01 10:49 pm - Felix Schäfer
- Status set to Open

2011-05-15 09:18 pm - Holger Just
- Status changed from Open to Ready for review

Pull request at https://github.com/chiliproject/chiliproject/pull/57
2011-05-16 08:39 am - Felix Schäfer
- Target version set to 1.4.0

Haven't tested it, but looks sound to me.

2011-05-19 09:29 pm - Felix Schäfer
- Target version changed from 1.4.0 to 2.0.0

- Status changed from Ready for review to Closed

Merged in commit:6a55e9e7389647525f869fc168948ece04efa275, moved to unstable for inclusion in version#5 though.
